import { BaseEvent as e } from "./accelbyte-widgets333.mjs";
class s {
  constructor() {
    this.store = [], this.event = new e();
  }
  push(t) {
    this.store.push(t), this.event.emit("push", t);
  }
  pop() {
    const t = this.store.shift();
    return t && this.event.emit("pop", t), t;
  }
  popAll() {
    const t = this.store;
    return this.store = [], t;
  }
}
const h = new s();
export {
  h as headerAlertsQueue
};
